Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Portage]Eliminando Gnome [Cerrado]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Spanish
View previous topic :: View next topic  
Author Message
ps2
Guru
Guru


Joined: 29 Nov 2003
Posts: 317
Location: Barcelona

PostPosted: Wed Apr 26, 2006 10:12 am    Post subject: [Portage]Eliminando Gnome [Cerrado] Reply with quote

Buenas.
Hará una semana o dos instalé Gnome en mi Gentoo. Así que procedí a eliminarlo después de mi mala experiencia:
Como hacer
Code:
emerge unmerge gnome
no elimina este entorno; decidí ir a los ports y fui a /usr/portage/gnome-base/gnome/ y accedí al archivo gnome-2.12.3.ebuild donde está el listado con las dependencias del mismo. Fui eliminando, con cuidado, todo lo que consideré para que desapareciese Gnome de mi Gentoo. Todo parece OK. Hasta que le digo a mi portage que me actualice el sistema; donde me aparecen unos cuantos paquetes de Gnome que no pintan nada y, que he probado, son totalmente prescindibles de aplicaciones que tengo y que los puedan requerir (como GIMP y GAIM).
Si hago un emerge -uDav world o -uDp world después de hacer emerge sync hoy salen bastantes:
Code:

# emerge -uDp world

These are the packages that I would merge, in order:

Calculating world dependencies ...done!
[ebuild     U ] sys-devel/gcc-config-1.3.13-r2 [1.3.13-r1]
[ebuild     U ] sys-libs/glibc-2.3.6-r3 [2.3.5-r3]
[ebuild  NS   ] sys-kernel/gentoo-sources-2.6.16-r3
[ebuild     U ] www-client/mozilla-1.7.13 [1.7.12-r2]
[ebuild     U ] app-editors/nano-1.3.10-r1 [1.3.9]
[ebuild     U ] net-libs/gecko-sdk-1.7.13 [1.7.12-r1]
[ebuild  N    ] x11-themes/gnome-icon-theme-2.12.1
[ebuild  N    ] gnome-base/orbit-2.12.5
[ebuild  N    ] gnome-base/gconf-2.12.1
[ebuild  N    ] gnome-base/libglade-2.5.1
[ebuild  N    ] gnome-base/gnome-mime-data-2.4.2
[ebuild  N    ] gnome-base/libbonobo-2.10.1
[ebuild  N    ] gnome-base/gnome-vfs-2.12.2
[ebuild     U ] media-video/xine-ui-0.99.4-r5 [0.99.4-r3]
[ebuild  N    ] net-libs/libsoup-2.2.7
[ebuild  N    ] gnome-base/libgnomecanvas-2.12.0
[ebuild  N    ] gnome-base/libgnome-2.12.0.1
[ebuild  N    ] gnome-base/libbonoboui-2.10.1-r1
[ebuild  N    ] gnome-base/gnome-keyring-0.4.6
[ebuild  N    ] gnome-base/libgnomeui-2.12.0
[ebuild  N    ] gnome-extra/evolution-data-server-1.4.2.1
[ebuild  N    ] x11-themes/gtk-engines-2.6.7
[ebuild  N    ] x11-themes/gnome-themes-2.12.3

En mi /etc/make.conf tengo -gnome y -gtk... ¿Porqué me quiere endosar esos paquetes? ¿Para qué demonios quiero yo el evolution-data-server? ¿Algún consejo o idea?
Un saludo.


Last edited by ps2 on Thu Apr 27, 2006 11:58 am; edited 1 time in total
Back to top
View user's profile Send private message
gringo
Advocate
Advocate


Joined: 27 Apr 2003
Posts: 3792

PostPosted: Wed Apr 26, 2006 10:36 am    Post subject: Reply with quote

seguro que tienes algún paquete compilado con el USE gnome, de ahi que te saque todo el tochazo de dependencias. Emerge -upDNv world debería decirte cuales.

saluetes
Back to top
View user's profile Send private message
ps2
Guru
Guru


Joined: 29 Nov 2003
Posts: 317
Location: Barcelona

PostPosted: Wed Apr 26, 2006 10:56 am    Post subject: Reply with quote

Gracias, seguramente se trata de OpenOffice. Así que dejo la recompilación para la noche, cuando no use el OpenOffice. Si va todo OK cerraré el post.
Un saludo.
Back to top
View user's profile Send private message
Annagul
Apprentice
Apprentice


Joined: 05 Dec 2004
Posts: 156
Location: San Fernando, Cádiz (Spain)

PostPosted: Wed Apr 26, 2006 11:55 am    Post subject: Reply with quote

Recuerda hacer un
Code:
emerge -p depclean
para ver si hay algún paquete que dependía de algo ya eliminado y, por tanto, no tiene sentido su existencia. Y no olvides el obligado
Code:
revdep-rebuild
.

Saludos
Back to top
View user's profile Send private message
aj2r
l33t
l33t


Joined: 11 Sep 2005
Posts: 705
Location: Granada/Andalucí­a/España

PostPosted: Wed Apr 26, 2006 12:30 pm    Post subject: Reply with quote

Te vendría bien hacer un:
Code:

equery hasuse gnome

para saber qué tienes compilado con esa use ;)
_________________
Fundación I+D del Software Libre
BluLabs
_____________________________________________________
Portátil HP Pavilion zd8185ea: Pentium4HT 3.2Ghz, ATI x600 256MB
gnome-2.30
Back to top
View user's profile Send private message
Stolz
Moderator
Moderator


Joined: 19 Oct 2003
Posts: 3007
Location: Hong Kong

PostPosted: Wed Apr 26, 2006 12:40 pm    Post subject: Reply with quote

añade -t al emerge y sabrás qué paquetes de los instalados (los que aparecen en azul oscuro) requieren dichos programas.

Saludozzzzzz
Back to top
View user's profile Send private message
ps2
Guru
Guru


Joined: 29 Nov 2003
Posts: 317
Location: Barcelona

PostPosted: Thu Apr 27, 2006 11:58 am    Post subject: Reply with quote

Gracias por vuestra ayuda. Ha funcionado.
Saludos.
Back to top
View user's profile Send private message
pacho2
Developer
Developer


Joined: 04 Mar 2005
Posts: 2593
Location: Oviedo, Spain

PostPosted: Fri Apr 28, 2006 5:48 pm    Post subject: Reply with quote

Pobre gnome :cry:
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Spanish All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum